clang 8.0.0

Public Member Functions | List of all members
clang::format::JavaScriptImportSorter Class Reference
Inheritance diagram for clang::format::JavaScriptImportSorter:
[legend]
Collaboration diagram for clang::format::JavaScriptImportSorter:
[legend]

## Public Member Functions
| JavaScriptImportSorter (const Environment &Env, const FormatStyle &Style)
std::pair< tooling::Replacements, unsigned > | analyze (TokenAnnotator &Annotator, SmallVectorImpl< AnnotatedLine *> &AnnotatedLines, FormatTokenLexer &Tokens) override
Public Member Functions inherited from clang::format::TokenAnalyzer
| TokenAnalyzer (const Environment &Env, const FormatStyle &Style)
std::pair< tooling::Replacements, unsigned > | process ()
Public Member Functions inherited from clang::format::UnwrappedLineConsumer
virtual | ~UnwrappedLineConsumer ()

## Additional Inherited Members
Protected Member Functions inherited from clang::format::TokenAnalyzer
void | consumeUnwrappedLine (const UnwrappedLine &TheLine) override
void | finishRun () override
Protected Attributes inherited from clang::format::TokenAnalyzer
FormatStyle | Style
const Environment & | Env
AffectedRangeManager | AffectedRangeMgr
SmallVector< SmallVector< UnwrappedLine, 16 >, 2 > | UnwrappedLines
encoding::Encoding | Encoding

## Detailed Description

Definition at line 120 of file SortJavaScriptImports.cpp.

## Constructor & Destructor Documentation

## ◆ JavaScriptImportSorter()

clang::format::JavaScriptImportSorter::JavaScriptImportSorter | ( | const Environment & | Env,
|  | const FormatStyle & | Style
| ) |  |
| inline

Definition at line 122 of file SortJavaScriptImports.cpp.

## Member Function Documentation

## ◆ analyze()

std::pair<tooling::Replacements, unsigned> clang::format::JavaScriptImportSorter::analyze | ( | TokenAnnotator & | Annotator,
|  | SmallVectorImpl< AnnotatedLine *> & | AnnotatedLines,
|  | FormatTokenLexer & | Tokens
| ) |  |
| inline override virtual

Implements clang::format::TokenAnalyzer.

Definition at line 127 of file SortJavaScriptImports.cpp.

The documentation for this class was generated from the following file:

- lib/Format/SortJavaScriptImports.cpp